org.apache.cassandra.db.filter

## Class ColumnSlice.NavigableMapIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<Column>
    - - org.apache.cassandra.db.filter.ColumnSlice.NavigableMapIterator

All Implemented Interfaces:
  java.util.Iterator<Column>

Enclosing class:
  ColumnSlice

    public static class ColumnSlice.NavigableMapIterator
    extends com.google.common.collect.AbstractIterator<Column>

### Constructor Summary

Constructors
Constructor and Description
`ColumnSlice.NavigableMapIterator(java.util.NavigableMap<java.nio.ByteBuffer,Column> map, ColumnSlice[] slices)`

### Method Summary

Methods
`protected Column` `computeNext()`

### Methods inherited from class com.google.common.collect.AbstractIterator

`endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnSlice.NavigableMapIterator

    public ColumnSlice.NavigableMapIterator(java.util.NavigableMap<java.nio.ByteBuffer,Column> map,
                                    ColumnSlice[] slices)

### Method Detail

#### computeNext

    protected Column computeNext()

Specified by:
  `computeNext` in class `com.google.common.collect.AbstractIterator<Column>`